org.bdgenomics.adam.sql

# Reference

###
Related Docs: object Reference | package sql

#### case class Reference(name: Option[String] = None, length: Option[Long] = None, md5: Option[String] = None, sourceUri: Option[String] = None, assembly: Option[String] = None, sourceAccessions: Seq[String] = Seq(), species: Option[String] = None, index: Option[Int] = None) extends Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Reference
2. Serializable
3. Serializable
4. Product
5. Equals
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new Reference(name: Option[String] = None, length: Option[Long] = None, md5: Option[String] = None, sourceUri: Option[String] = None, assembly: Option[String] = None, sourceAccessions: Seq[String] = Seq(), species: Option[String] = None, index: Option[Int] = None)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### val assembly: Option[String]

6. #### def canEqual(that: Any): Boolean

   Definition Classes
     Reference → Equals

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

9. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

10. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

11. #### val index: Option[Int]

12. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

13. #### val length: Option[Long]

14. #### val md5: Option[String]

15. #### val name: Option[String]

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### def productArity: Int

    Definition Classes
      Reference → Product

20. #### def productElement(i: Int): Any

    Definition Classes
      Reference → Product

21. #### val sourceAccessions: Seq[String]

22. #### val sourceUri: Option[String]

23. #### val species: Option[String]

24. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

25. #### def toAvro: formats.avro.Reference

26. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

27. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

28. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from AnyRef

### Inherited from Any

### Ungrouped